Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.validation
Interface ItemValidationResult

    public interface ItemValidationResult

The `ItemValidationResult` of an `ItemValidationPlugin` can prevent an item from being committed to the repository if the plugin has found the item to be invalid.

Note: Even if validation is successful it is still possible that the item will fail validation for some other field in which case the item will not be committed.

Since:
  v8.0
Note:

  This interface is designed to be implemented by clients.

Method Summary
`Localized[]` | `errorMessages()` Return an array of `Localized`error messages.``
`Localized[]` | `infoMessages()` Note: This is reserved for future use.
`boolean` | `isValid()` Return whether the item is valid and should be committed to the repository.
`Localized[]` | `successMessages()` Note: This is reserved for future use.
`Localized[]` | `warningMessages()` Note: This is reserved for future use.

Method Detail

### isValid

    boolean isValid()

  Return whether the item is valid and should be committed to the repository.

  Returns:
    `true` to identify that validation was successful, otherwise return `false` to prevent the item from being committed. Note to aid usability ensure that appropriate error messages are returned.

### errorMessages

    Localized[] errorMessages()

  Return an array of `Localized`error messages. If `null` is returned no message will be shown.

  ``
  Returns:
    `Localized`message or null if no validation message is required``

### infoMessages

    Localized[] infoMessages()

  Note: This is reserved for future use. These messages are currently ignored.

  Return an array of `Localized`informational messages.``

  Returns:
    `Localized`message or null if no validation message is required``

### warningMessages

    Localized[] warningMessages()

  Note: This is reserved for future use. These messages are currently ignored.

  Return an array of `Localized`warning messages.``

  Returns:
    `Localized`message or null if no validation message is required``

### successMessages

    Localized[] successMessages()

  Note: This is reserved for future use. These messages are currently ignored.

  Return an array of `Localized`success messages.``

  Returns:
    `Localized`message or null if no validation message is required``

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD